module Tests.Src.Test_IO where

-- @@ Export
summerize :: [Int] -> [Int] -> Int
summerize x y = sum $ x ++ y

-- @@ Export
single :: Int -> [Int]
single x = [1..x]

-- @@ Export
singleIO :: Int -> IO [Int]
singleIO = return . single

-- @@ Export
add :: (Int -> Int) -> Int -> Int
add = ($)

-- @@ Export
addIO :: (Int -> IO [Int]) -> Int -> IO Int
addIO f v = do res <- f v
               return $ sum res