module Tests.Src.Test_SimpleTuple where

-- @@ Export
simpleTuple :: (Int, Int)
simpleTuple = (1, 5)

-- @@ Export
stringTuple :: (String, String)
stringTuple = ("Foo", "Bar")

-- @@ Export
threeTuple :: (Int, Int, Int)
threeTuple = (1, 30, 50)

-- @@ Export
complexTuple :: String -> (String, Maybe String)
complexTuple x = (x, Just x)

-- @@ Export
inamTuple :: (Int, [String])
inamTuple = (2, replicate 2 "Hello World")

data MyTuple a b c = MyTuple a b c

-- @@ Export
myTuple :: MyTuple Int Int Int
myTuple = MyTuple 1 30 50

data MaybeP a = NothingP

-- @@ Export
maybeTuple :: MaybeP (Int, [String])
maybeTuple = NothingP