-----------------------------------------------------------------------------
-- |
-- Module      :  WinDll.Lib.InstancesTypes
-- Copyright   :  (c) Tamar Christina 2009 - 2010
-- License     :  BSD3
-- 
-- Maintainer  :  tamar@zhox.com
-- Stability   :  experimental
-- Portability :  portable
--
-- Module containing types and enums for misc instances, for commonly used 
-- datatypes like Maybe, Either etc
--
-----------------------------------------------------------------------------

module WinDll.Lib.InstancesTypes where

import Foreign
        
maybenothing :: Int
maybenothing =  0
maybejust :: Int
maybejust =  1

eitherleft,eitherright :: Int
eitherleft  = 0
eitherright = 1

type MaybePtr    a = Ptr (Maybe a)
type EitherPtr a b = Ptr (Either a b)
