module WinDll.Debug.Heap where

type Address = Int
type Size    = Int

-- | Virtual heap representation
data Heap = Blob {start :: Address 
                 ,stop  :: Address 
                 }
          | Heap {value :: Heap
                 ,next  :: Heap 
                 }
          | NoHeap
          
instance Show Heap where
